## ros-melodic-leo-description 1.1.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)

project(leo_description)

find_package(catkin REQUIRED)

catkin_package()

install(DIRECTORY launch/
    DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch)

install(DIRECTORY models/
    DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/models)

install(DIRECTORY urdf/
    DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/urdf)

=== debian/changelog ===
ros-melodic-leo-description (1.1.0-1stretch) stretch; urgency=high

  * Bump minimum cmake version to 3.0.2
  * Update package manifest

 -- Błażej Sowa <blazej@turtlerover.com>  Fri, 09 Oct 2020 00:00:00 -0000

ros-melodic-leo-description (1.0.1-1stretch) stretch; urgency=high



 -- fictionlab <support@fictionlab.pl>  Tue, 06 Oct 2020 00:00:00 -0000

ros-melodic-leo-description (1.0.0-1stretch) stretch; urgency=high

  * Added gazebo references
  * Added camera_optical_frame link which uses camera coordinate convention
  * Added launch files for publishing robot state
  * Added low-poly outline models for collision geometry
  * Added physical properties for all links and revolute joints
  * Added joints for rockers and antenna
  * Replaced meshes with more optimized ones

 -- fictionlab <support@fictionlab.pl>  Wed, 23 Sep 2020 00:00:00 -0000

ros-melodic-leo-description (0.3.0-1stretch) stretch; urgency=high

  * Moved the launch files and rviz configs to leo_viz package

 -- fictionlab <support@fictionlab.pl>  Mon, 01 Jun 2020 00:00:00 -0000

ros-melodic-leo-description (0.2.0-1stretch) stretch; urgency=high

  * exported new, more up-to-date part models in COLLADA format
  * added rviz.launch file
  * changed camera link name to camera_frame

 -- fictionlab <support@fictionlab.pl>  Wed, 12 Feb 2020 00:00:00 -0000

ros-melodic-leo-description (0.1.0-1stretch) stretch; urgency=high

  * add camera_link to urdf
  * listen for real joint states in joint_states_publisher
  * simplify description, use xacro, update launch file
  * first try at exporting Leo Rover model to URDF

 -- fictionlab <support@fictionlab.pl>  Wed, 02 Oct 2019 00:00:00 -0000

=== debian/control ===
Source: ros-melodic-leo-description
Section: misc
Priority: optional
Maintainer: Błażej Sowa <blazej@turtlerover.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin
Homepage: http://wiki.ros.org/leo_description
Standards-Version: 3.9.2

Package: ros-melodic-leo-description
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-robot-state-publisher, ros-melodic-xacro
Description: URDF Description package for Leo Rover

## ros-melodic-leo-description 1.2.2

=== debian/changelog ===
ros-melodic-leo-description (1.2.2-1bionic) bionic; urgency=high

  * Fix swapped FR and RR wheels
  * Update author and maintainer info

 -- Fictionlab <support@fictionlab.pl>  Fri, 04 Jun 2021 00:00:00 -0000

ros-melodic-leo-description (1.2.1-1bionic) bionic; urgency=high

  * Add footprint_link parameter to <leo/> macro

 -- Błażej Sowa <blazej@turtlerover.com>  Fri, 18 Dec 2020 00:00:00 -0000

ros-melodic-leo-description (1.2.0-1bionic) bionic; urgency=high

  * Add macros.xacro file which contains <leo/>, <leo_gazebo/> and <leo_sim/> xacro macros
  * Add simple xacro test
  * Change CMakeLists formatting style

 -- Błażej Sowa <blazej@turtlerover.com>  Fri, 18 Dec 2020 00:00:00 -0000

ros-melodic-leo-description (1.1.0-1bionic) bionic; urgency=high

  * Bump minimum cmake version to 3.0.2
  * Update package manifest

 -- Błażej Sowa <blazej@turtlerover.com>  Fri, 09 Oct 2020 00:00:00 -0000

ros-melodic-leo-description (1.0.1-1bionic) bionic; urgency=high



 -- fictionlab <support@fictionlab.pl>  Tue, 06 Oct 2020 00:00:00 -0000

ros-melodic-leo-description (1.0.0-1bionic) bionic; urgency=high

  * Added gazebo references
  * Added camera_optical_frame link which uses camera coordinate convention
  * Added launch files for publishing robot state
  * Added low-poly outline models for collision geometry
  * Added physical properties for all links and revolute joints
  * Added joints for rockers and antenna
  * Replaced meshes with more optimized ones

 -- fictionlab <support@fictionlab.pl>  Wed, 23 Sep 2020 00:00:00 -0000

ros-melodic-leo-description (0.3.0-1bionic) bionic; urgency=high

  * Moved the launch files and rviz configs to leo_viz package

 -- fictionlab <support@fictionlab.pl>  Mon, 01 Jun 2020 00:00:00 -0000

ros-melodic-leo-description (0.2.0-1bionic) bionic; urgency=high

  * exported new, more up-to-date part models in COLLADA format
  * added rviz.launch file
  * changed camera link name to camera_frame

 -- fictionlab <support@fictionlab.pl>  Wed, 12 Feb 2020 00:00:00 -0000

ros-melodic-leo-description (0.1.0-1bionic) bionic; urgency=high

  * add camera_link to urdf
  * listen for real joint states in joint_states_publisher
  * simplify description, use xacro, update launch file
  * first try at exporting Leo Rover model to URDF

 -- fictionlab <support@fictionlab.pl>  Wed, 02 Oct 2019 00:00:00 -0000

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: ros-melodic-leo-description
 Section: misc
 Priority: optional
-Maintainer: Błażej Sowa <blazej@turtlerover.com>
-Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin
+Maintainer: Fictionlab <support@fictionlab.pl>
+Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-rostest
 Homepage: http://wiki.ros.org/leo_description
 Standards-Version: 3.9.2

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-leo-description//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
